Package org.eclipse.mat.ui.util

# Enum PaneState.PaneType

java.lang.Object
java.lang.Enum<PaneState.PaneType>
org.eclipse.mat.ui.util.PaneState.PaneType

All Implemented Interfaces:
  `Serializable`, `Comparable<PaneState.PaneType>`, `java.lang.constant.Constable`

Enclosing class:
  PaneState

public static enum PaneState.PaneType extends Enum<PaneState.PaneType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPOSITE_CHILD`
`COMPOSITE_PARENT`
`EDITOR`
`QUERY`

## Method Summary

Modifier and Type
Method
Description
`static PaneState.PaneType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PaneState.PaneType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QUERY

public static final PaneState.PaneType QUERY

### EDITOR

public static final PaneState.PaneType EDITOR

### COMPOSITE_PARENT

public static final PaneState.PaneType COMPOSITE_PARENT

### COMPOSITE_CHILD

public static final PaneState.PaneType COMPOSITE_CHILD

## Method Details

### values

public static PaneState.PaneType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PaneState.PaneType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null